Kinetis Design Studio Update V3.1.0 available

cancel
Showing results for 
Search instead for 
Did you mean: 

Kinetis Design Studio Update V3.1.0 available

No ratings

Kinetis Design Studio Update V3.1.0 available

This is an update to Kinetis Design Studio V3.0.0 which updates it to version V3.1.0. You need KDS V3.0.0 installed in order to install this update.

This update includes as well a Processor Expert for Kinetis V3.0.2 update. It is an online update through the Eclipse update mechanism.

 

Note: the updates are available for offline installation as well from the download section on www.nxp.com/kds

 

This update fixes a know issue with the dependency to the GNU ARM Eclipse plugins described in Unable to Debug after KDS Update .

 

Online Update

To install the update from the Eclipse update site, the preferred method is to use the menu

Help > Check for Updates

139152_139152.pngpastedImage_0.png

As this lists many other updates which might cause conflicts, make sure you only select the Kinetis Design Studio 3.1.0 update:

139153_139153.jpgKDS v3.1.0 update.jpg

Install the update, then in a second update you can install the other KDS updates. Here again, do not select other 3rd party updates as this might cause conflicts:

139166_139166.pngpastedImage_4.png

Then go through the installation process.

 

An alternative method is to use

Help > Install New Software

and use the following Eclipse Update site:

http://freescale.com/lgfiles/updates/Eclipse/KDS

(Note: this is an Eclipse update site, not usable for a web browser)

 

 

Then select "Kinetis Design Studio 3.1.0" update from the list (shown for Windows host below):

136893_136893.pngwindows host update 3.1.0.png

Next it will inform about the actions taken. A Somnium portion of the IDE will be removed and replaced:

136894_136894.pngInstall Remediation Page.png

Press 'Next' and go through the update process.

 

Offline Update

The update is available as zip archive which can be downloaded once and then used for an offline installation, pointing to the zip archive as update site.

 

Go to Kinetis Design Studio Integrated Development |NXP  and click 'Download' in the Download tab:

136043_136043.pngpastedImage_3.png

 

Select the KDS 3.0.0 for the host you are using:

136044_136044.pngpastedImage_4.png

Select the "Kinetis Design Studio 3.1.0" update (screenshot shown for Mac OS X) and download it:

136045_136045.pngpastedImage_5.png

In Kinetis Design Studio V3.0, use the menu Help > Install New Software and point to the downloaded file to install it.

 

For details additional, see the attached release notes.

Labels (1)
Attachments
Comments

After few trials of installing the software, I would like to see the correct version being installed (V3.1.0). But I cannot find it anywhere. I can only see V3.0.0 in following screens. Could you please tell where I can find that. Thanks.

pastedImage_0.png

pastedImage_1.png

It should show something like this:

pastedImage_0.png

Erich

Thanks, Erich

Now I had this error message when I try to update the software:

pastedImage_0.png

What could cause this problem? I have updated the Java as well.

I tried to use either "Check for the Updates" or "Install New Software...". Both come with same error messages.

Thanks again.

Can you try with the check box 'contact all update sites' (bottom of the installation dialog) enabled or disabled, if this makes a difference?

Sometimes if update sites respond slowly, things might fail during install.

The other option is: you can download the installation package from the download page from www.nxp.com/kds:

pastedImage_0.png

And then make the update from this archive file, after unpacking it.

I hope this helps,

Erich

Hi, Erich

I have tried to enable and disable the 'contact all update sites' and both have same error. I tried to install them from the downloaded file and it came with the same error, although I disabled the 'contact all update sites'. Two machines have been tested with the same error results. I am not sure is that caused by our firewall or antivirus software.

It looks other users are happy with the new version and the problem may on my site.

Thanks again.

Hi Erich

Can you provide release notes to

Processor Expert for Kinetis 3.0.2 as per page 3 of KDS 3.1 release notes

3 What’s New in this Update

Kinetis Design Studio 3.1.0 update contains Processor Expert for Kinetis 3.0.2 (please refer to separate release notes) and additionally fixes the following problem:

Also release notes are not shown here.,....

Processor Expert Software, Microcontroller Dr|NXP

Only release notes for PE 3.0.1

Regards

Jerome

Hi Jerome,

the release notes for Processor Expert for Kinetis 3.0.2 are inside the downloadable zip file. I have it attached to this document here as well for reference.

Erich

Thanks Erich

Erich,

I am getting this when I try to install.

install.png

Should I proceed?

Hi Michael,

yes, this is normal.

Erich

After several tries, I did get the KDS features installed.  I was having trouble I think because my installed version of the gcc compiler was 'newer' than what was in the update.

I have a newer gcc installed too, and this caused no problems for me. The update does not come with any compiler parts, so I would be surprised if this was really the issue.

Erich

"Note: the updates are available for offline installation as well from the download section on www.nxp.com/kds"

I see nothing at that site that is newer than 3.0.1. :-(

Hi Bob,

As it is an update, it is under 3.0.0.

Select downloads:

pastedImage_1.png

Then Download again:

pastedImage_2.png

(you have to logged in to see this):

Select the platform you are using, e.g. Windows:

pastedImage_3.png

Accept the license agreement, than have all the files and update for it:

pastedImage_4.png

I hope this helps,

Erich

PS: yes, I agree it is not the most logical way. But that's what is imposed by that web system.

How very intuitive that I should spend my time clicking a link that says 3.0.0 to get 3.1. :-(

Thank you for pointing that out.

I can't for the life of me update my KDS installation (W7x64) :smileysad: Any suggestions how to deal w/ the error ?

Full "Details" text:

Your original request has been modified.

  "GNU ARM C/C++ J-Link Debugging" will be ignored because a newer version is already installed.

  "GNU ARM C/C++ OpenOCD Debugging" will be ignored because a newer version is already installed.

  "Processor Expert for Kinetis" is already installed, so an update will be performed instead.

  "GNU ARM C/C++ Cross Compiler" will be ignored because a newer version is already installed.

  "GNU ARM PEMicro Interface Debugging Support" will be ignored because a newer version is already installed.

  "Kinetis Design Studio Features" is already installed, so an update will be performed instead.

Cannot complete the install because some dependencies are not satisfiable

  com.somniumtech.jre.macosx.cocoa.x86_64.feature.group [1.7.0.76] cannot be installed in this environment because its filter is not applicable.

2016-01-28_102306.png

It seems you are installing Linux update to Mac machine. Select option "Show only applicable SW" before you select what to install - see attached screenshot.

Capture.PNG

Thank you for the answer. Interestingly my KDS installation is on Windows 7... I did try your suggestion w/o luck unfortunately, the details message is now:

  "GNU ARM C/C++ J-Link Debugging" will be ignored because a newer version is already installed.

  "GNU ARM C/C++ OpenOCD Debugging" will be ignored because a newer version is already installed.

  "Processor Expert for Kinetis" is already installed, so an update will be performed instead.

  "GNU ARM C/C++ Cross Compiler" will be ignored because a newer version is already installed.

  "GNU ARM PEMicro Interface Debugging Support" will be ignored because a newer version is already installed.

  "Kinetis Design Studio Features" is already installed, so an update will be performed instead.

Cannot complete the install because one or more required items could not be found.

  Software currently installed: GNU ARM C/C++ J-Link Debugging 3.2.1.201512141335 (ilg.gnuarmeclipse.debug.gdbjtag.jlink.feature.group 3.2.1.201512141335)

  Missing requirement: GNU ARM C/C++ J-Link Debugging 3.2.1.201512141335 (ilg.gnuarmeclipse.debug.gdbjtag.jlink.feature.group 3.2.1.201512141335) requires 'ilg.gnuarmeclipse.debug.gdbjtag [2.2.2.201512141335]' but it could not be found

2016-02-05_100907.png

Hi Detlef,

it seems that you are trying to install as well other items (like the GNU ARM plugins). I recommend that you have a look at the screenshots at the beginning of the article and only install 3.1.0.

I hope this helps,

Erich

Erich,

I have two projects in two KDS instances running while debugging both sides of a SPI m2m interface.
With 3.0.0, I selected a different OpenSDA device in the "Port" field, and then set the "Port number"s in each to different numbers.
("Debug Configurations" -> "GDB Server Settings" -> "Port number") .
pastedImage_0.png

After I updated to 3.1.0, the "Port Number" field is no longer available, and I cannot run both anymore.

pastedImage_1.png

Either session can be started first, but fail when started second.

Just as a check, I also tried two projects in the same session: same problem.

Any suggestions on another way to debug two projects?

Steve

Hi Steve,

it look to me that you not only have updated KDS to v3.1.0, but as well you have done an update of the P&E plugin?

The same happened to me too, and currently I'm only able to debug multiple boards using multiple ports with Segger J-Link (see Debug Multiple Boards with GDB at the Same Time | MCU on Eclipse ). Maybe that would be an option for you too (if you have an J-Link, of simply use the J-Link firmware on your FRDM-K64F (Segger J-Link Firmware for OpenSDAv2 | MCU on Eclipse )).

I have reported the issue to P&E and they wanted to address this in one of their next updates.

I hope this helps,

Erich

Hey Erich,

Thanks! Looks like you're correct. That one snuck in on me.
I currently have "GNU ARM PEMicro Interface Debugging Support" 2.2.9.201512221411.

Before the 3.1.0 and KSDK 2.0 update flurry I had 2.2.5.201511061812.

In eclipse, is there any easy way to unwind to the earlier version??
If not, I'll have to switch like you did until P&E fixes their issue.

Thanks again,

Steve

Thanks for the verification.

I uninstalled "GNU ARM PEMicro Interface Debugging Support 2.2.9.201512221411"
and installed from an older "com.pemicro.debug.gdbjtag.pne.updatesite-v2.1.0.zip".

I'm back up and running!
Thanks again,

Steve

Hi Erich,

Thanks for your answer. The GNU plugins seem to be part of the 3.1.0 update, I tried deselecting them:

2016-02-08_102808.png

The whole list:

2016-02-08_103259.png

Unfortunately it didn't help much:

2016-02-08_103509.png

Details:

Your original request has been modified.

  "Processor Expert for Kinetis" is already installed, so an update will be performed instead.

  "Kinetis Design Studio Features" is already installed, so an update will be performed instead.

The actions required to successfully install the requested software are incompatible with the software to install.

  Cannot complete the install because one or more required items could not be found.

    Software currently installed: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603)

    Missing requirement: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603) requires 'com.freescale.processorexpert.feature.core.kpsdk.feature.group [1.2.0,2.0.0)' but it could not be found

Any help would be greatly appreciated.

Hi Detlef,

hmm, I don't know why it requires that SDK 1.2.0 feature. I have to pass this to the engineers.....

Erich

Detlef, it seems you have selected "KSDK 1.2.0 Eclipse Update" check box at the first screen. This update is incremental and can be installed only if you have KSDK 1.2 Eclipse Update already installed.

The recommended instruction for installation KDS3.1 update is using "Check For Updates" (command main menu - Help - Check For Updates). This will install only SW applicable to your KDS.

On clean KDS3.0 installation you will see the following items being updated:Capture.PNG

Regards,Marek

Marek, the "KSDK 1.2.0 Eclipse Update" is marked as "All items are installed" on the 1st screen. When I try a "Check for updates" I get the following:

2016-02-09_093201.png2016-02-09_093040.png

Full details:

The actions required to successfully install the requested software are incompatible with the software to install.

  Cannot complete the install because one or more required items could not be found.

    Software currently installed: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603)

    Missing requirement: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603) requires 'com.freescale.processorexpert.feature.core.kpsdk.feature.group [1.2.0,2.0.0)' but it could not be found

I wonder if the "[1.2.0,2.0.0)" from the last line is a typo in the requirements and should read "[1.2.0,2.0.0]" ?

I was poking around a bit more today, this definitely seems to be the showstopper:

Software currently installed: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603)

    Missing requirement: KSDK 1.2.0 Eclipse Update 1.0.1.b150603 (com.freescale.processorexpert.ksdk-1.2.0.sp.feature.group 1.0.1.b150603) requires 'com.freescale.processorexpert.feature.core.kpsdk.feature.group [1.2.0,2.0.0)' but it could not be found


(Added bold emphasis, looks suspicious to me.)

Clarification of my last post: Running "Check Update" produces the "Problem Occurred" and "Available Updates" dialogs at he same time with the former inaccessible until the latter is closed. Unchecking everything GNU and hitting Next in that 2nd dialog results in the following Details error message (note that the message above was there right after the dialog opened):

Cannot complete the install because one or more required items could not be found.

  Software currently installed: GNU ARM C/C++ J-Link Debugging 3.2.1.201512141335 (ilg.gnuarmeclipse.debug.gdbjtag.jlink.feature.group 3.2.1.201512141335)

  Missing requirement: GNU ARM C/C++ J-Link Debugging 3.2.1.201512141335 (ilg.gnuarmeclipse.debug.gdbjtag.jlink.feature.group 3.2.1.201512141335) requires 'ilg.gnuarmeclipse.debug.gdbjtag [2.2.2.201512141335]' but it could not be found

This is what my installation looks like:2016-02-11_094743.png

I installed it all once and everything works fine... then I reached here. Perhaps I'm a lucky guy? THANKS ERICH.

Hi Detlef, I cannot reproduce your problem on my Win7-64 machine.

If you cannot update your KDS using "Check for updates", I'd recommned to use off-line installer. It can be downloaded from http://nxp.com/kds - Downloads - Download - {sign-in} - "Downloads for Kinetis Design Studio for Microsoft Windows" - "Updates: Kinetis Design Studio for Kinetis 3.1.0 (Windows and Linux OS)" - it is also described above by Erich in response to BOB PADDOCK. Please follow installation instructions described in release notes (included in the ZIP file).

About error "Missing requirement ...": feature "com.freescale.processorexpert.feature.core.kpsdk.feature.group" is installed with KDS3.0. You can check, if the feature is installed using "Help - About - Processor Expert" - see also attached picture.

Capture.PNG

Version history
Revision #:
1 of 1
Last update:
‎12-21-2015 06:58 AM
Updated by: